MINOVAES - PRODUCT - Feature #539

[FIN] Upload Jurnal - Validasi Upload Jurnal
11/08/2021 02:46 PM - Maulina Hali

Status: Closed Start date: 11/08/2021
Priority: Urgent Due date: 11/22/2021
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Mohon bantuannya untuk beberapa validasi dalam menu upload jurnal untuk hal-hal berikut ini :

1. Jika dilakukannyaa upload jurnal dengan Periode yang diupload tidak sesuai dengan Accounting Period Control, dan statusnya
draft (Hal ini harusnya bisa dijalankan). Jadi pada tabel PTRFINANCEHEAD, PTRFINANCE ITEM untuk field FiscalPeriod maupun
field FiscalPeriodYear terupdate atau terisi sesuai dengan yang ada pada template upload jurnal.

2. Jika dilakukannya upload jurnal dengan Periode yang diupload tidak sesuai dengan Accounting Period Control, dan statusnya
posting (Hal ini tidak bisa dijalankan).

Berikut saya lampirkan juga template upload jurnal yang terbaru guna mempermudah melakukan pengecekan.

Demikian yang dapat saya sampaikan, terima kasih.

History

#1 - 11/09/2021 03:29 PM - Kezia Pawitra Yulianti
- Due date changed from 11/09/2021 to 11/10/2021
- Status changed from New to Assigned

- Priority changed from High to Urgent

Dear Yomma,

sesuai diskusi berikut ya penjelasan terkait dgn upload jurnal:

1. Untuk fiscal period dan fiscal year yg ada di selection, mohon untuk di take out saja

2. karena yg akan di baca adalah fiscal period dan year yg ada di dalam template jurnal di bandingkan dengan period accounting
3. Jika period dan year dgn status draft yg ada di template berbeda dengan period accounting, maka jurnal bisa di upload

4. Jika period dan year dgn status post yg ada di template berbeda dengan period accounting, maka jurnal tidak bisa di upload
5. selection company id tetap harus di liat untuk validasi dengan period accounting

Kalau ada yg ingin ditanyakan silahkan ya
Tks

#2 - 11/10/2021 03:15 PM - Tri Rizqgiaty

- Status changed from Assigned to Developing

Fixing :

1. update folder API2 - bin : MinovalS.MinovaES.Business.Upload.dll
2. update folder Ul - app - view : ViewUploadJurnal.js

#3 - 11/11/2021 02:43 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Maulina Hali

#4 - 11/18/2021 05:11 PM - Maulina Hali
- Due date changed from 11/10/2021 to 11/22/2021
- Status changed from QA Test to Revise

- Assignee changed from Maulina Hali to Tri Rizqgiaty
Dear Mbak Yomma,
Terima kasih atas bantuanyya untuk validasi diatas.

Berikut hasil test nyaa yaaa :

1. Skenario period dan year dengan status draft yg ada di template berbeda dengan period accounting (period maju), maka jurnal bisa di upload —
Success

2. Skenario period dan year dengan status draft yg ada di template berbeda dengan period accounting (period mundur) , maka jurnal tidak
bisa di upload — unsuccessful

3. Skenario period dan year dengan status posting yg ada di template berbeda dengan period accounting (period mundur), maka jurnal tidak bisa di
upload — Success

- Muncul Keterangan : “PTRFINANCEHEAD — Can't insert data because there isn’t this period or this company id”

4. Skenario period dan year dengan status posting yg ada di template berbeda dengan period accounting (period mundur), maka jurnal tidak bisa di
upload — Success

- Muncul Keterangan : “PTRFINANCEHEAD — Can't insert data because there isn’t this period or this company id”

5. Skenario period dan year dengan status posting yg ada di template sama dengan period accounting tetapi posting date berbeda, maka jurnal tidak
bisa di upload — Success

- Muncul Keterangan : “PTRFINANCEHEAD - Field PostingDate doesn’t match with field FiscalYear-FiscalPeriod

Mohon bantuannya kembali untuk validasi atas test yang belum berhasil untuk poin 2 yaaa, dimana jika period dan year dengan status draft yg ada di
template berbeda dengan period accounting (period mundur) , maka jurnal tidak bisa di upload.

Terima kasih,

Port : 31133

#5 - 11/23/2021 09:50 AM - Tri Rizqgiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Maulina Hali
Fixing :

update folder API2 - bin : MinovalS.MinovaES.Business.Upload.dll
#6 - 11/23/2021 05:00 PM - Maulina Hali

- Status changed from QA Test to Closed

- Assignee changed from Maulina Hali to Tri Rizqgiaty
Dear Mbak Yomma,

Done yaaa mbak, sudah berjalan semua.
Terimakasih banyak

Files

Template Upload Jurnal_New_2021_Maret 2021.xIsx 13.2 KB 11/08/2021 Maulina Hali
